System.ServiceModel 4.0.0.0 System.ServiceModel.Configuration.BindingCollectionElement

Custom bindings provide full control over the indigo1 messaging stack. An individual binding defines the message stack by specifying the configuration elements for the stack elements in the order they appear on the stack. Each element defines and configures the one element of the stack. There must be one and only one transport element in each custom binding. Without this element, the messaging stack is incomplete.

The order in which elements appear in the stack matters, because it is the order in which operations are applied to the message. The recommended order of stack elements is the following:

Transactions (optional)

Reliable Messaging (optional)

Security (optional)

Transport

Encoder (optional)

Represents a collection of customBinding configuration elements that provide full control over the messaging stack for the user. This class cannot be inherited.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("", IsDefaultCollection=true, Options=System.Configuration.ConfigurationPropertyOptions.IsDefaultCollection)
  System.ServiceModel.Configuration.CustomBindingElementCollection To be added. To be added.

  Gets the bindings defined in this section.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of this binding.

- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.ServiceModel.Configuration.IBindingConfigurationElement> To be added. To be added.

  Gets all the binding configuration elements contained in this element.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether a specific binding exists in the collection using the specified name.

  true if the collection contains the binding with the specified ; otherwise, false.

  The name of the binding to be located.
- Method
  4.0.0.0
  System.ServiceModel.Channels.Binding To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.